# ByteReader Class Reference

## Public Member Functions
| ByteReader (byte *data, byte *end)
FORCEINLINE byte | ReadByte ()
uint16 | ReadWord ()
uint16 | ReadExtendedByte ()
uint32 | ReadDWord ()
uint32 | ReadVarSize (byte size)
const char * | ReadString ()
FORCEINLINE size_t | Remaining () const
FORCEINLINE bool | HasData () const
FORCEINLINE byte * | Data ()
FORCEINLINE void | Skip (size_t len)
## Protected Attributes
byte * | data
byte * | end

## Detailed Description

Definition at line 96 of file newgrf.cpp.

The documentation for this class was generated from the following file:

- src/newgrf.cpp